List available networks
curl --request GET \
--url https://staging.api.krypta-pay.com/v1/networks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.krypta-pay.com/v1/networks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://staging.api.krypta-pay.com/v1/networks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.krypta-pay.com/v1/networks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"ok": true,
"data": {
"supported": {
"payin": [
{
"code": "MTN_BJ",
"currency": "XOF",
"country": "BJ"
},
{
"code": "WAVE_SN",
"currency": "XOF",
"country": "SN"
}
],
"payout": [
{
"code": "MTN_BJ",
"currency": "XOF",
"country": "BJ"
}
]
},
"unavailable": {
"payin": [],
"payout": [
"WAVE_SN"
]
}
}
}{
"ok": false,
"error": {
"code": "unauthorized",
"message": "Invalid or expired API key"
}
}{
"ok": false,
"error": {
"code": "kyb_required",
"message": "Your organization must complete KYB verification."
}
}{
"ok": false,
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded, retry in 1 minute"
}
}Networks and status
List available networks
Mobile money networks you can use right now, per direction. A network is usable when it is in supported and not in unavailable (temporary maintenance).
GET
/
v1
/
networks
List available networks
curl --request GET \
--url https://staging.api.krypta-pay.com/v1/networks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.krypta-pay.com/v1/networks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://staging.api.krypta-pay.com/v1/networks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.krypta-pay.com/v1/networks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"ok": true,
"data": {
"supported": {
"payin": [
{
"code": "MTN_BJ",
"currency": "XOF",
"country": "BJ"
},
{
"code": "WAVE_SN",
"currency": "XOF",
"country": "SN"
}
],
"payout": [
{
"code": "MTN_BJ",
"currency": "XOF",
"country": "BJ"
}
]
},
"unavailable": {
"payin": [],
"payout": [
"WAVE_SN"
]
}
}
}{
"ok": false,
"error": {
"code": "unauthorized",
"message": "Invalid or expired API key"
}
}{
"ok": false,
"error": {
"code": "kyb_required",
"message": "Your organization must complete KYB verification."
}
}{
"ok": false,
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded, retry in 1 minute"
}
}⌘I
